<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="function/dataTables/media/css/demo_page.css">
<link rel="stylesheet" href="function/dataTables/media/css/demo_table_jui.css">
<link rel="stylesheet" href="function/dataTables/media/themes/smoothness/jquery-ui-1.8.4.custom.css">
<script type="text/javascript" src="function/dataTables/media/js/jquery.js"></script>
<script type="text/javascript" src="function/dataTables/media/js/jquery.dataTables.js"></script>
<script type="text/javascript" language="javascript">
	$(document).ready( function () {
		var oTable = $('#myTables').dataTable( {
			 "sDom": 'R<"H"lfr>t<"F"ip>',
			 "bJQueryUI": true,
			 "sPaginationType": "full_numbers",
			 "iDisplayLength" :10
		});
	});
	function setTrColor(obj, color)
	{
		obj.style.backgroundColor=color;
		obj.onmouseout = function(){
				obj.style.backgroundColor=''; 
		}
	}
	function print_click(id)
	{
		window.open("popup/print_penyesuaian.php?adjh_id="+id,"mywindow","menubar=1,scrollbars=1,resizable=1,width=700,height=1000");
	}
	function add_click(){
		form.action ='?page=Proses-Penyesuaian&Act=ADD';
		form.method = 'post';
		form.submit();		
		return true;
	}
	function posting_click(id,code){
		form.action ='?page=Proses-Penyesuaian&Act=POSTING&adjh_id='+id+'&inch_bpbno='+code;
		form.method = 'post';
		form.submit();		
		return true;
	}
	function detail_click(id){
		form.action ='?page=Proses-Penyesuaian&Act=DETAIL&adjh_id='+id;
		form.method = 'post';
		form.submit();		
		return true;
	}
	function delete_click(id,code){
		var a = confirm("Apakah anda yakin akan menghapus data?");
		if (a == true){
			form.action ='?page=Proses-Penyesuaian&Act=DELETE&adjh_id='+id+'&adjh_no='+code;
			form.method = 'post';
			form.submit();		
			return true;
		}	
	}
</script>
<form action="?page=Data-Penyesuaian" method="post" name="form">
<table width="100%" border="0" cellspacing="1" cellpadding="1">
  <tr>
	<td colspan="5" align="center"><h1><b>DATA PENYESUAIAN</b></h1></td>
  </tr>
  <tr>
	<td colspan="5"><img src="images/btn_add.png" height="30" width="30" title="Tambah" border="0" style="cursor:pointer" onclick="add_click();" /></td>
  </tr>
</table>
<table id="myTables" class="display" cellpadding="0" cellspacing="0">
	<thead>   
  <tr>
	<th>No</th>
	<th>Nomor</th>
	<th>Tanggal</th>
	<th>Keterangan</th>
	<th>Action</th>
  </tr>
    </thead>
	<tbody>
  <?php
	$no=0;
	$qd = mysql_query("SELECT a.* FROM adjusment a WHERE a.adjh_status <> 100 ORDER BY a.id DESC");
	while($dd=mysql_fetch_object($qd)){		
	$no++;
	?> 
	  <tr onmouseover="setTrColor(this, '#FF9900');">
		<td align="center"><?=$no;?>.</td>
		<td align="center"><?=$dd->adjh_no;?></td>
		<td align="center"><?=$dd->adjh_date;?></td>
		<td><?=$dd->adjh_desc;?></td>
		<td align="center">
			<?php if ($dd->adjh_status==10){ ?>
				<img src="images/btn_posting.png" width="20" height="20" border="0" title="Posting" style="cursor: pointer" onclick="posting_click('<?=$dd->id;?>');" />
			<img src="images/btn_edit.png" width="20" height="20" border="0" title="Edit" style="cursor:pointer" onclick="detail_click('<?=$dd->id;?>','<?=$dd->adjh_no;?>');" />
		<img src="images/btn_delete.png" width="20" height="20"  border="0"  title="Hapus" style="cursor:pointer" onclick="delete_click('<?=$dd->id;?>','<?=$dd->adjh_no;?>');" />
			<?php }else{ ?>
				 <img src="images/btn_print.png" height="20" width="20" title="Print" border="0" style="cursor:pointer" onclick="print_click('<?=$dd->id;?>');" />   
			<?php } ?>
		</td>
	  </tr>
  <?php }  ?>
  </tbody>
</table>
</form>
